package inria.meije.rc.io;

import inria.meije.rc.sugarcubes.*;

public class PrintAtom extends Atom
{
    private String message;

    public PrintAtom(String m){ message = m; }

    public String toString(){ return "{System.out.print(\""+message+"\")}"; }
    protected void action(Context context) { 
        System.out.print(message); System.out.flush();
    }
    public boolean equals(Instruction inst){
        return super.equals(inst) && message.equals(((PrintAtom)inst).message);
    }
}
