package inria.meije.rc.sugarcubes;

public class Freeze extends Atom
{
    protected JavaStringExpression targetNameExp;

    public Freeze(String target){this(new JavaStringValue(target));}
    public Freeze(JavaStringExpression nameExp){
        targetNameExp = nameExp;
    }

    public String toString(){
        return "freeze "+targetNameExp;
    }
    protected void action(Context context){
        context.freezeOrder(targetNameExp.evaluate(context.currentLink()));
    }
}
