package inria.meije.rc.sugarcubes;

public interface Instruction extends Cloneable,java.io.Serializable
{
    boolean isTerminated();
    byte activ(Context context);
    Object clone();

    Instruction residual();
    void freeze(Context context);

    void notifyWarmUpToJava(Context context);
    void notifyFreezeToJava(Context context);
    void notifyTerminationToJava(Context context);
}
