package inria.meije.rc.sugarcubes;

public class OutputDecl extends IODecl
{
    public OutputDecl(String localName,String actualName,Instruction body){ 
        super(localName,actualName,body);
    }
    public OutputDecl(String localName,JavaStringExpression actualName,Instruction body){ 
        super(localName,actualName,body);
    }

    public String toString(){ 
        return "output "+eventName+" is "+actualNameExp+" in "+body+" end";
    }
    protected Instruction rest(){ 
        return new OutputDecl(eventName,actualNameExp,body.residual()); 
    }
    protected void setInput(Domain domain){}
    protected void setOutput(Domain domain){
        if(local) domain.generate(actualName);
    }
}
