package inria.meije.rc.sugarcubes;

abstract public class UnaryInstruction extends InstructionImpl
{
    protected Instruction body = new Nothing();

    public Object clone(){
        UnaryInstruction inst = (UnaryInstruction)super.clone();
        inst.body = (Instruction)body.clone();
        return inst;
    }
    protected byte activation(Context context){    
        return body.activ(context);
    }
    public void freeze(Context context){ body.freeze(context); }
    public void notifyFreezeToJava(Context context) {body.notifyFreezeToJava(context);}
    public void notifyWarmUpToJava(Context context) {body.notifyWarmUpToJava(context);}
    public void notifyTerminationToJava(Context context){body.notifyTerminationToJava(context);}
}
